> ## Documentation Index
> Fetch the complete documentation index at: https://www.klavis.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Release sandbox

> Release an occupied sandbox back to idle state and marks the sandbox as available for reuse.



## OpenAPI

````yaml delete /sandbox/{server_name}/{sandbox_id}
openapi: 3.1.0
info:
  title: Klavis AI (https://www.klavis.ai)
  description: Klavis AI - Open Source MCP Integrations for AI Applications
  version: 0.1.0
servers:
  - url: https://api.klavis.ai
    description: US Production server
  - url: https://api.eu.klavis.ai
    description: EU Production server
security: []
paths:
  /sandbox/{server_name}/{sandbox_id}:
    delete:
      tags:
        - sandbox
      summary: Release sandbox
      description: >-
        Release an occupied sandbox back to idle state and marks the sandbox as
        available for reuse.
      operationId: delete_sandbox_sandbox__server_name___sandbox_id__delete
      parameters:
        - name: server_name
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/SandboxMCPServer'
            description: The MCP server name
          description: The MCP server name
        - name: sandbox_id
          in: path
          required: true
          schema:
            type: string
            description: The unique sandbox identifier
            title: Sandbox Id
          description: The unique sandbox identifier
        - name: is_ttl
          in: query
          required: false
          schema:
            type: boolean
            description: Flag indicating if this is a TTL release task
            default: false
            title: Is Ttl
          description: Flag indicating if this is a TTL release task
        - name: instance_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Instance ID for TTL validation; if provided and mismatched, the
              release is skipped
            title: Instance Id
          description: >-
            Instance ID for TTL validation; if provided and mismatched, the
            release is skipped
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReleaseSandboxResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    SandboxMCPServer:
      type: string
      enum:
        - jira
        - github
        - salesforce
        - hubspot
        - notion
        - airtable
        - linear
        - asana
        - google_sheets
        - google_drive
        - google_docs
        - gmail
        - google_calendar
        - google_forms
        - clickup
        - close
        - monday
        - motion
        - onedrive
        - microsoft_teams
        - outlook_mail
        - cal.com
        - quickbooks
        - moneybird
        - dropbox
        - shopify
        - woocommerce
        - outlook_calendar
        - resend
        - wordpress
        - mem0
        - supabase
        - slack
        - confluence
        - discord
        - snowflake
        - postgres
        - mongodb
        - youtube
        - googleworkspaceatlas
        - huggingface
        - mock_notion
        - arxiv_latex
        - calculator
        - clinicaltrialsgov
        - fetch
        - met_museum
        - open_library
        - osm
        - pubmed
        - us_weather
        - duckduckgo
        - whois
        - wikipedia
        - scholarly
        - howtocook
        - yahoo_finance
        - '12306'
        - youtube_transcript
        - weather
        - twelvedata
        - national_parks
        - lara_translate
        - e2b
        - context7
        - alchemy
        - weights_and_biases
        - oxylabs
        - google_maps
        - brave_search
        - exa
        - serper
      title: SandboxMCPServer
      description: Supported MCP servers for sandboxing
    ReleaseSandboxResponse:
      properties:
        sandbox_id:
          type: string
          title: Sandbox Id
          description: Released sandbox identifier
        status:
          $ref: '#/components/schemas/SandboxStatus'
          description: Current status after release (should be idle)
        message:
          type: string
          title: Message
          description: Release confirmation message
      type: object
      required:
        - sandbox_id
        - status
        - message
      title: ReleaseSandboxResponse
      description: Response model for sandbox release (delete)
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SandboxStatus:
      type: string
      enum:
        - idle
        - occupied
        - error
      title: SandboxStatus
      description: Status of a sandbox instance - matches database enum
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      description: Your Klavis AI API key.
      scheme: bearer
      x-fern-bearer:
        name: api_key

````